#!/bin/bash -e

docker pull docker.io/ceph/daemon:latest-nautilus

#start client
cd client
HOSTNAME="$HOSTNAME" docker-compose up -d
cd -

#bring up mon, mds, mgr
for role_dir in /ceph/m*; do
    role_name=$(basename "$role_dir")
    cd "$role_name"
    HOSTNAME="$HOSTNAME" docker-compose up -d
    cd -
done

#manually bring up osd
for osd_dir in /ceph/osd_*; do
    osd_name=$(basename "$osd_dir")
    osd_id=$(echo "$osd_dir" | cut -d'_' -f2)
    docker run -d --rm --net=ceph --hostname "$HOSTNAME" --privileged -v /ceph/"$osd_name"/etc/ceph:/etc/ceph -v /ceph/"$osd_name"/var/lib/ceph:/var/lib/ceph -v /dev:/dev -e OSD_ID="$osd_id" --name "ceph_$osd_name" docker.io/ceph/daemon:latest-nautilus osd_ceph_volume_activate
done